//
//  PSMLanListener.h
//  BombSquad
//
//  Created by John Pannell on 2/15/10.
//  Copyright 2010 Positive Spin Media. All rights reserved.
//

/*
 
 Listens for connection requests from other devices.  When a request is made it notifies the delegate, providing the I/O streams for communication.
 
 */

#import <Foundation/Foundation.h>
#import "PSMLanProtocols.h"
#define kPSMLanListenerErrorDomain                      @"PSMLanListener Domain"
#define kPSMLanListenerErrorNoSocketsAvailable          1000
#define kPSMLanListenerErrorCouldntBindToAddress        1001
#define kPSMLanListenerErrorStreamError                 1002

// Class interface

@interface PSMLanListener : NSObject {
    
    id              delegate;
    uint16_t        port;
    CFSocketRef     socket;

}

@property(nonatomic, assign) id <PSMLanListenerDelegate> delegate;
@property(readonly) uint16_t port;

- (BOOL)startListening:(NSError **)error;
- (void)stopListening;

@end



