//
//  PSMConnectStateValueTransformer.m
//  BombSquad
//
//  Created by John Pannell on 2/27/10.
//  Copyright 2010 Positive Spin Media. All rights reserved.
//

#import "PSMConnectStateValueTransformer.h"
#import "PSMLanDefinitions.h"

@implementation PSMConnectStateValueTransformer

+ (Class)transformedValueClass
{
    return [NSString class];
}

+ (BOOL)allowsReverseTransformation
{
    return NO;
}

- (id)transformedValue:(id)value
{
    if([value respondsToSelector:@selector(integerValue)]){
        NSInteger thisValue = [value integerValue];
        
        switch (thisValue) {
            case PSMLanPeerStateAvailable:
                return @"Available";
                break;
            
            case PSMLanPeerStateUnavailable:
                return @"Unavavilable";
                break;
                
            case PSMLanPeerStateConnected:
                return @"Connected";
                break;
                
            case PSMLanPeerStateDisconnected:
                return @"Disconnected";
                break;
                
            case PSMLanPeerStateConnecting:
                return @"Connecting";
                break;
            default:
                break;
        }
    }
    
    return @"";
}

@end
