//
//  TestGameController.h
//  BombSquad
//
//  Created by John Pannell on 2/25/10.
//  Copyright 2010 Positive Spin Media. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "PSMLanProtocols.h"
@class PSMLanSession;

@interface TestGameController : NSObject <PSMLanSessionDelegate> {
    
    IBOutlet    NSTextField             *myNameField;
    IBOutlet    NSTextView              *messageLog;
    IBOutlet    NSTextField             *messageField;
    IBOutlet    NSArrayController       *peerController;
    
    NSMutableArray                      *peerArray;         // contains dicts with peerID, displayName, connectionState
    
    PSMLanSession                       *lanSession;        // used to communicate between apps

}

@property(readwrite, retain) NSMutableArray *peerArray;

// UI actions
- (IBAction)start:(id)sender;
- (IBAction)connect:(id)sender;
- (IBAction)disconnect:(id)sender;
- (IBAction)dropOut:(id)sender;
- (IBAction)send:(id)sender;

// deleagate methods for GK/LAN Sessions
- (void)session:(id)session connectionWithPeerFailed:(NSString *)peerID withError:(NSError *)error;
- (void)session:(id)session didFailWithError:(NSError *)error;
- (void)session:(id)session didReceiveConnectionRequestFromPeer:(NSString *)peerID;
- (void)session:(id)session peer:(NSString *)peerID didChangeState:(NSUInteger)state;

// getting data
- (void)receiveData:(NSData *)data fromPeer:(NSString *)peer inSession:(id)session context:(void *)context;

@end
