//
//  PSMInvocationSerialization.h
//  BombSquad
//
//  Created by John Pannell on 2/9/10.
//  Copyright 2010 Positive Spin Media. All rights reserved.
//

/*
 
 NOTE: this simple method for serializing an NSInvocation only supports invocations with "plist" object arguments (NSString, NSArray, NSDictionary, NSNumber, NSDate, or NSData), or C numerical types that can be made into objects.  It does not support any method that has a return value.
 
 */

#import <Foundation/Foundation.h>

@interface NSInvocation(Serialization)

- (id)objectForArgumentAtIndex:(int)argIndex;
- (NSData *)serializedData;

@end

@interface NSData(Serialization)

- (SEL)selectorForRepresentedInvocation;    // use this to get selector, which can then be presented to target to get signature, which can then be used with the following to get the NSInvocation
- (NSInvocation *)representedInvocationForSignatature:(NSMethodSignature *)sig; // the returned invocation still needs its target to be set

@end