//
//  PSMPlayerProxy.h
//  BombSquad
//
//  Created by John Pannell on 2/10/10.
//  Copyright 2010 Positive Spin Media. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "PSMSessionProtocol.h"
#import "PSMPlayerDefinitions.h"
@class PSMGameNode;

@interface PSMPlayerProxy : NSProxy {
    
    NSString                    *playerID;      // peerID provided by session that established the connection
    NSString                    *displayName;   // name from remote session
    id <PSMSessionProtocol>     hostSession;    // the session (LAN or GK) that connects to this peer
    PSMGameNodeConnectionType   connectionType; // lan or bluetooth
    PSMGameNode                 *parentNode;    // the node on this side of the connection that I live in

}

@property (readonly) NSString *playerID;
@property (readonly) NSString *displayName;
@property (readonly) id hostSession;
@property (readonly) PSMGameNodeConnectionType connectionType;

// Creation/Destruction
- (id)initWithPlayerID:(NSString *)pid displayName:(NSString *)name session:(id)session connectionType:(PSMGameNodeConnectionType)type forNode:(PSMGameNode *)node;


@end
