//
//  PSMSessionProtocol.h
//  BombSquad
//
//  Created by John Pannell on 3/4/10.
//  Copyright 2010 Positive Spin Media. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@protocol PSMSessionProtocol // messages that can be sent to a LAN or GK session object

- (void)connectToPeer:(NSString *)peerID withTimeout:(NSTimeInterval)timeout;
- (void)cancelConnectToPeer:(NSString *)peerID;
- (BOOL)acceptConnectionFromPeer:(NSString *)peerID error:(NSError **)error;
- (void)denyConnectionFromPeer:(NSString *)peerID;
- (void)disconnectFromAllPeers;
- (void)disconnectPeerFromAllPeers:(NSString *)peerID;

- (NSString *)displayNameForPeer:(NSString *)peerID;
- (NSArray *)peersWithConnectionState:(NSInteger)state;

- (BOOL)sendData:(NSData *)data toPeers:(NSArray *)peers withDataMode:(NSInteger)mode error:(NSError **)error;
- (BOOL)sendDataToAllPeers:(NSData *)data withDataMode:(NSInteger)mode error:(NSError **)error;
- (void)setDataReceiveHandler:(id)handler withContext:(void *)context;

@end
