//
//  PKConnectionStateValueTransformer.m
//  BombSquad
//
//  Created by John Pannell on 3/4/10.
//  Copyright 2010 Positive Spin Media. All rights reserved.
//

#import "PKConnectionStateValueTransformer.h"
#import "PSMPlayerDefinitions.h"

@implementation PKConnectionStateValueTransformer

+ (Class)transformedValueClass
{
    return [NSString class];
}

+ (BOOL)allowsReverseTransformation
{
    return NO;
}

- (id)transformedValue:(id)value
{
    if([value respondsToSelector:@selector(integerValue)]){
        NSInteger thisValue = [value integerValue];
        
        switch (thisValue) {
            case PSMGameNodeStateAvailable:
                return @"Available";
                break;
                
            case PSMGameNodeStateUnavailable:
                return @"Unavavilable";
                break;
                
            case PSMGameNodeStateConnected:
                return @"Connected";
                break;
                
            case PSMGameNodeStateDisconnected:
                return @"Disconnected";
                break;
                
            case PSMGameNodeStateConnecting:
                return @"Connecting";
                break;
            default:
                break;
        }
    }
    
    return @"";
}

@end
