//
//  PKController.h
//  BombSquad
//
//  Created by John Pannell on 3/4/10.
//  Copyright 2010 Positive Spin Media. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "PSMPlayerProtocols.h"
@class PSMGameNode;

@interface PKController : NSObject <PSMGameNodeDelegate> {

    IBOutlet    NSTextField             *myNameField;
    IBOutlet    NSTextView              *messageLog;
    IBOutlet    NSTextField             *messageField;
    IBOutlet    NSArrayController       *playerController;
    
    NSMutableArray                      *playerArray;           // contains dicts with peerID, displayName, connectionState
    
    PSMGameNode                         *gameNode;              // used to communicate between apps
    
}

@property(readwrite, retain) NSMutableArray *playerArray;

// UI actions
- (IBAction)start:(id)sender;
- (IBAction)connect:(id)sender;
- (IBAction)disconnect:(id)sender;
- (IBAction)dropOut:(id)sender;
- (IBAction)send:(id)sender;

// deleagate methods for Game Node
- (void)node:(id)node connectionWithPlayerFailed:(NSString *)playerID withError:(NSError *)error;
- (void)node:(id)node didFailWithError:(NSError *)error;
- (void)node:(id)node didReceiveConnectionRequestFromPlayer:(NSString *)playerID;
- (void)node:(id)node player:(NSString *)playerID didChangeState:(NSUInteger)state;
- (id)invocationTargetForSelector:(SEL)selector;
- (id)forwardingTargetForSelector:(SEL)selector;

// p2p communication
- (void)displayMessage:(NSString *)message;

@end
